#!/usr/bin/python3
# -*- coding: utf-8 -*-

import sys, os
import dialog
from PyQt5 import uic
from PyQt5.QtCore import pyqtSlot
from PyQt5.QtWidgets import (QApplication, QMainWindow, QMessageBox)

class MainWindow(QMainWindow):
	def __init__(self):
		super(MainWindow, self).__init__()
		uic.loadUi("step7i96.ui", self)

		self.prompt_at_exit = False
		self.useConfigName.setChecked(True)

		self.show()

	# Auto connected menu action callbacks
	@pyqtSlot()
	def on_actionFileNew_triggered(self):
		 dialog.FileNew(self)

	@pyqtSlot()
	def on_actionFileOpen_triggered(self):
		 dialog.FileOpen(self)

	@pyqtSlot()
	def on_actionFileSave_triggered(self):
		 dialog.FileSave(self)

	@pyqtSlot()
	def on_actionFileSaveAs_triggered(self):
		 dialog.FileSaveAs(self)

	@pyqtSlot()
	def on_actionFileExit_triggered(self):
		 dialog.FileExit(self)

	@pyqtSlot()
	def on_actionHelpAbout_triggered(self):
		 dialog.HelpAbout(self)

	@pyqtSlot()
	def on_actionExit_triggered(self):
		self.close()

	def closeEvent(self, event):
		if self.prompt_at_exit:
			quit_msg = "Are you sure you want to exit the Application?"
			reply = QMessageBox.question(self, 'Exit Application?',
				quit_msg, QMessageBox.Yes, QMessageBox.No)
			if reply == QMessageBox.Yes:
				event.accept()
			else:
				event.ignore()
		else:
			event.accept()

if __name__ == "__main__":
	app = QApplication(sys.argv)
	ex = MainWindow()
	sys.exit(app.exec_())
