import os
import configparser
from PyQt5.QtWidgets import (QMessageBox, QFileDialog)

def FileNew(parent=None):
	print('File New')

def FileOpen(parent=None):
	"""Parent is the MainWindow class instance"""
	dirName = ''
	linuxcncPath = os.path.expanduser('~/linuxcnc/configs')
	print(linuxcncPath)
	if os.path.isdir(linuxcncPath):
		dirName = QFileDialog.getExistingDirectory(parent=parent,
		caption="Select Directory", directory=linuxcncPath,
		options=QFileDialog.DontUseNativeDialog,)
	else:
		reply = QMessageBox.question(parent,'Message',
			"Are you sure to quit?", QMessageBox.Yes | 
			QMessageBox.No)
	if dirName:
		print('Directory Selected {}'.format(dirName))
		"Pass parent so we can have access the MainWindow widgets"
		readConfig(parent, dirName)

def FileSave(parent=None):
	print('File Save')

def FileSaveAs(parent=None):
	print('File Save As')

def FileExit(parent=None):
	print('File Exit')
	sys.exit()

def HelpAbout(parent=None):
	msg = QMessageBox(parent)
	msg.setIcon(QMessageBox.Information)

	msg.setText("This is a message box")
	msg.setInformativeText("This is additional information")
	msg.setWindowTitle("MessageBox demo")
	msg.setDetailedText("The details are as follows:")
	msg.setStandardButtons(QMessageBox.Ok | QMessageBox.Cancel)
	#msg.buttonClicked.connect(msgbtn)
	retval = msg.exec_()
	if retval == QMessageBox.Ok:
		print('yes')
	print("value of pressed message box button: {}".format(retval))
	#QMessageBox.about(None, "7i96 Configuration Wizard", "Message")

def readConfig(parent, dirName):
	"Parent is the MainWindow class instance"
	iniFile = None
	for file in os.listdir(dirName):
		if file.endswith(".ini"):
			iniFile = os.path.join(dirName, file)
			print(iniFile)

	if iniFile is None:
		print("No INI file found in: {}".format(dirName))
		return

	config = configparser.ConfigParser(strict=False)
	config.sections()
	config.read(iniFile)
	if 'EMC' in config:
		print(config['EMC']['MACHINE'])
		parent.configName.setText(config['EMC']['MACHINE'])



